ADSys: adwatchd(1)

NAME
adwatchd-completion-zsh - Generate the autocompletion script for zsh

SYNOPSIS
adwatchd completion zsh [flags]

DESCRIPTION
Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:

    echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:

    source <(adwatchd completion zsh)

To load completions for every new session, execute once:

  Linux:
    adwatchd completion zsh > "${fpath[1]}/_adwatchd"

  macOS:
    adwatchd completion zsh > $(brew --prefix)/share/zsh/site-functions/_adwatchd

You will need to start a new shell for this setup to take effect.

OPTIONS
-h, --help[=false]
    help for zsh

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS
-v, --verbose[=0]
    issue INFO (-v), DEBUG (-vv) or DEBUG with caller (-vvv) output

SEE ALSO
adwatchd-completion(1)

HISTORY
13-Mar-2026 Auto generated by spf13/cobra